Signals
Get Signal Options
Retrieve available signal options for a specific entity type (contact or company). This endpoint returns the list of signal types you can filter by when enriching contacts or companies.
Endpoints:
- Contacts:
GET /api/signals/filters/contact - Companies:
GET /api/signals/filters/company
Available Signal Types
For contacts:
allSignals- All available contact signal typespromotion- Job title promotionscompanyChange- Company changes
For companies:
allSignals- All available company signal types
Hiring & Workforce:
surgeInHiring- Overall hiring activity increasesurgeInHiringByDepartment- Department-specific hiring surgessurgeInHiringByLocation- Location-specific hiring surges
Headcount Trends:
| Signal | Description |
|---|---|
headcountIncrease1m / headcountDecrease1m | 1-month employee count changes |
headcountIncrease3m / headcountDecrease3m | 3-month employee count changes |
headcountIncrease6m / headcountDecrease6m | 6-month employee count changes |
headcountIncrease12m / headcountDecrease12m | 12-month employee count changes |
Technology & Digital Presence:
websiteTrafficIncrease- Website traffic growthwebsiteTrafficDecrease- Website traffic declineitSpendIncrease- IT spending increaseitSpendDecrease- IT spending decrease
News Events:
To retrieve company news, use one or more of the following category values:
| Signal | Included Events |
|---|---|
commercialActivityNews | Partnership, New Customer, New Vendor |
corporateStrategyNews | M&A, Facilities Expansion, New Location, Facility Closure, Asset Sale, Lawsuit Filed |
financialEventsNews | Funding Round, Asset Investment, Strategic Investment, IPO |
marketIntelligenceNews | Event Participation, Recognition, Competitor Activity |
peopleNews | Executive Hire, Executive Departure, Executive Promotion, Headcount Increase, Headcount Decrease |
productActivityNews | Product Launch, Product Development, Product Integration |
riskNews | Security Issue, Lawsuit Faced |
The response also includes available values for signal sub-filters:
newsEventTypes— available event type values for news signal filteringhiringByDepartments— available department values for hiring surge filteringhiringByLocations— available location values for hiring surge filtering (array of{ country, state }objects)
GET
/
api
/
signals
/
filters
/
{objectType}
Get Signal Options
curl --request GET \
--url https://api.lusha.com/api/signals/filters/{objectType} \
--header 'api_key: <api-key>'import requests
url = "https://api.lusha.com/api/signals/filters/{objectType}"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.lusha.com/api/signals/filters/{objectType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.lusha.com/api/signals/filters/{objectType}")
.header("api_key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lusha.com/api/signals/filters/{objectType}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"signals": [
"promotion",
"companyChange",
"allSignals"
],
"objectType": "contact"
}Authorizations
Your Lusha API key. You can find this in your Lusha dashboard under API settings.
Include this key in the api_key header for all requests.
Path Parameters
The type of object to get signal options for
Available options:
contact, company Was this page helpful?
⌘I
Get Signal Options
curl --request GET \
--url https://api.lusha.com/api/signals/filters/{objectType} \
--header 'api_key: <api-key>'import requests
url = "https://api.lusha.com/api/signals/filters/{objectType}"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.lusha.com/api/signals/filters/{objectType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.lusha.com/api/signals/filters/{objectType}")
.header("api_key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lusha.com/api/signals/filters/{objectType}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"signals": [
"promotion",
"companyChange",
"allSignals"
],
"objectType": "contact"
}